> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get object relations

> Retrieves the list of object relations for the given type and owner. Accepts an optional filter query parameter to apply search criteria, and returns the matching relations along with metadata.



## OpenAPI

````yaml /schema.json get /di/relations/{type}/{owner}
openapi: 3.1.0
info:
  version: 01KV4EC0SHV95TK2YR66AMKFZC
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /di/relations/{type}/{owner}:
    get:
      tags:
        - Di
      summary: Get object relations
      description: >-
        Retrieves the list of object relations for the given type and owner.
        Accepts an optional filter query parameter to apply search criteria, and
        returns the matching relations along with metadata.
      operationId: getObjectRelations
      parameters:
        - name: type
          in: path
          description: Type identifier
          required: true
          schema:
            type: string
        - name: owner
          in: path
          description: Owner identifier
          required: true
          schema:
            type: string
        - name: filter
          in: query
          description: Apply search criteria.
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A list of object relations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiObjectRelationListResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DiObjectRelationListResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/DiObjectRelationList'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    DiObjectRelationList:
      type: array
      items:
        $ref: '#/components/schemas/DiObjectRelation'
    DiObjectRelation:
      type: object
      properties:
        type:
          type: string
          title: Type
        identifier:
          type: string
          title: Identifier
          pattern: ^[a-z0-9-]+$
          maxLength: 255
          ui:
            ui:widget: hidden
        name:
          type: string
          title: Name
          maxLength: 255
          ui:
            ui:widget: hidden
        description:
          type: string
          title: Description
          maxLength: 64000
          ui:
            ui:widget: hidden
        object:
          type: object
          title: Prototype
        removable:
          type: boolean
          description: Whether the relation can be removed through the API
          default: false
        resettable:
          type: boolean
          description: Whether the relation can be reset through the API
          default: false
        disabled:
          type: boolean
          title: Disabled
          description: Whether the configuration is disabled
          default: false
        editor:
          type: string
          title: Last edited by
          description: The email of the person who last edited this
          ui:
            ui:widget: hidden
      ui:
        ui:order:
          - object
          - '*'

````